Data Structures | Variables

# sound_driver.hpp File Reference

Base for all sound drivers. More...

`#include "../driver.h"`

Go to the source code of this file.

## Data Structures
class | SoundDriver
| Base for all sound drivers. More...
class | SoundDriverFactoryBase
| Base of the factory for the sound drivers. More...
class | SoundDriverFactory< T >
| Factory for the sound drivers. More...
## Variables
SoundDriver * | _sound_driver
| The currently active sound driver.
char * | _ini_sounddriver
| The sound driver a stored in the configuration file.

## Detailed Description

Base for all sound drivers.

Definition in file sound_driver.hpp.